- Qt 6.8
- Qt GUI
- C++ Classes
- StorageBlock
- Qt 6.8.3 Reference Documentation

# StorageBlock Struct

struct QShaderDescription::StorageBlock

Describes a shader storage block. More...

This struct was introduced in Qt 6.6.

- List of all members, including inherited members

## Public Variables

int | binding
QByteArray | blockName
int | descriptorSet
QByteArray | instanceName
int | knownSize
QList<QShaderDescription::BlockVariable> | members
QShaderDescription::QualifierFlags | qualifierFlags
int | runtimeArrayStride

## Related Non-Members

bool | operator==(const QShaderDescription::StorageBlock &lhs, const QShaderDescription::StorageBlock &rhs)

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QShaderDescription for details.

## Member Variable Documentation

### int StorageBlock::binding

### QByteArray StorageBlock::blockName

### int StorageBlock::descriptorSet

### QByteArray StorageBlock::instanceName

### int StorageBlock::knownSize

### QList<QShaderDescription::BlockVariable> StorageBlock::members

### QShaderDescription::QualifierFlags StorageBlock::qualifierFlags

### int StorageBlock::runtimeArrayStride

## Related Non-Members

### `[noexcept]` bool operator==(const QShaderDescription::StorageBlock &lhs, const QShaderDescription::StorageBlock &rhs)

Returns `true` if the two StorageBlock objects lhs and rhs are equal.